---
title: "Get fields data from completed document"
url: "https://docs.signnow.com/docs/document/operations/get-v2-documents-documentUniqueId-fields"
type: "endpoint"
section: "document"
slug: "document/operations/get-v2-documents-documentUniqueId-fields"
method: "GET"
path: "/v2/documents/{document_id}/fields"
operation_id: "get-v2-documents-documentUniqueId-fields"
authorization: "bearer"
---

# Get fields data from completed document

`GET /v2/documents/{document_id}/fields`

Retrieve contents from the fields completed by the signer.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `document_id` | string | Yes | ID of the document. |

## Header Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `Content-Type` | string | No | application/json |

## Responses

### 200

* Correct request for a document with fields filled in 
* If there are no fields in the document
* If there are non-filled fields in the document

**Example** (`If there are no fields in document`)

```json
{
  "data": [],
  "meta": {
    "pagination": {
      "count": 4,
      "links": [],
      "total": 4,
      "per_page": 15,
      "total_pages": 1,
      "current_page": 1
    }
  }
}
```

**Example** (`If there are non-filled fields in the document`)

```json
{
  "data": [
    {
      "id": "88XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "name": "TextName",
      "type": "text",
      "value": null
    },
    {
      "id": "93XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "name": "datetime",
      "type": "text",
      "value": "10/11/2021"
    },
    {
      "id": "c9XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "name": "CalculatedName",
      "type": "text",
      "value": "25"
    },
    {
      "id": "11XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "name": "Dropdown_1",
      "type": "enumeration",
      "value": "aa"
    }
  ],
  "meta": {
    "pagination": {
      "count": 4,
      "links": [],
      "total": 4,
      "per_page": 15,
      "total_pages": 1,
      "current_page": 1
    }
  }
}
```

**Example** (`Correct request for a document with fields filled in `)

```json
{
  "data": [
    {
      "id": "350b5dce53694e2eb17b432ad75cc1d288827831",
      "name": "TextName",
      "type": "text",
      "value": "dev test search"
    },
    {
      "id": "9320dbacf5cf4d208deabd62dd1a7b4f0b9eed68",
      "name": "datetime",
      "type": "text",
      "value": "10/11/2021"
    },
    {
      "id": "c9f7c33cf3734572bb94352a5157bd6f40db4ba8",
      "name": "CalculatedName",
      "type": "text",
      "value": "25"
    },
    {
      "id": "11a1b00380044b86b346da6c6fbc4dd7eb2c9cb0",
      "name": "Dropdown_1",
      "type": "enumeration",
      "value": "aa"
    }
  ],
  "meta": {
    "pagination": {
      "count": 4,
      "links": [],
      "total": 4,
      "per_page": 15,
      "total_pages": 1,
      "current_page": 1
    }
  }
}
```

### 400

* Incorrect or missing token
* Document with this `document_id` doesn't exist
* This user has no rights to access the document

**Example** (`document_id doesn't exist`)

```json
{
  "code": 65544,
  "message": "internal api error"
}
```

**Example** (`Incorrect or missing token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

**Example** (`User has no rights for this document`)

```json
{
  "code": 65610,
  "message": "not readable"
}
```

### 403

If user's email is not verified

**Example** (`If user's email is not verified`)

```json
{
  "code": 9001,
  "message": "Email verification required"
}
```

### 404

* If the document has been deleted or is in the trash bin 
* If {document_id} has incorrect format (too many or not enough symbols)

**Example** (`If the document has been deleted or is in the trash bin `)

```json
{
  "404": "Document not found"
}
```

**Example** (`If {document_id} has incorrect format (too many or not enough symbols)`)

```json
{
  "_message": {
    "404": "Unable to find a route to match the URI: v2/documents/bade662638c640b5b7b712cf4fbec9afd5ffc0a/fields"
  }
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/documents/{document_id}/fields" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/document/operations/get-v2-documents-documentUniqueId-fields*
